> ## Documentation Index
> Fetch the complete documentation index at: https://docs.doshi.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Lesson Submissions

> Fetches lesson submission data, with optional filters.



## OpenAPI

````yaml /client.json get /client/academy/lesson-submissions
openapi: 3.0.0
info:
  title: Doshi Client API
  version: 1.0.0
  description: API specification for Doshi client-facing services.
servers:
  - url: https://api.doshi.app
    description: Production server
  - url: https://sandbox.api.doshi.app
    description: Sandbox server
security:
  - BearerAuth: []
tags:
  - name: Academy
    description: Endpoints related to educational content like courses, lessons, and paths.
  - name: Auth
    description: Endpoints for user authentication and authorization.
  - name: Marketplace
    description: Endpoints for rewards and redemptions.
  - name: User
    description: Endpoints for user data.
  - name: Quests
    description: Endpoints for quest management.
paths:
  /client/academy/lesson-submissions:
    get:
      tags:
        - Academy
      summary: Get Lesson Submissions
      description: Fetches lesson submission data, with optional filters.
      parameters:
        - $ref: '#/components/parameters/AccessTypeHeader'
        - name: levelId
          in: query
          schema:
            type: string
        - name: pathId
          in: query
          schema:
            type: string
        - name: lessonId
          in: query
          schema:
            type: string
      responses:
        '200':
          description: A list of lesson submissions.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetLessonSubmissionsResponse'
        default:
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    AccessTypeHeader:
      name: Access-Type
      in: header
      required: true
      schema:
        type: string
        enum:
          - client
      description: Must be set to 'client' for all API requests
  schemas:
    GetLessonSubmissionsResponse:
      type: object
      properties:
        submissions:
          type: array
          items:
            $ref: '#/components/schemas/LessonSubmission'
        total:
          type: integer
      required:
        - submissions
        - total
    Error:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        details:
          type: object
          additionalProperties: true
      required:
        - code
        - message
    LessonSubmission:
      type: object
      properties:
        id:
          type: string
        lessonId:
          type: string
        userId:
          type: string
        pathId:
          type: string
          nullable: true
        levelId:
          type: string
          nullable: true
        isCompleted:
          type: boolean
        completedQuestionIds:
          type: array
          items:
            type: string
        rightAnsweredQuestionIds:
          type: array
          items:
            type: string
        rewardedQuestionIds:
          type: array
          items:
            type: string
        earnedDosh:
          type: number
        earnedXP:
          type: number
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
        correctAnswers:
          type: number
        totalQuestions:
          type: number
      required:
        - id
        - lessonId
        - userId
        - isCompleted
        - earnedDosh
        - earnedXP
        - createdAt
        - correctAnswers
        - totalQuestions
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authentication token (API Key) provided by Doshi. Your server's IP
        address must be whitelisted to use this API. Contact hello@doshi.app to
        whitelist your IPs.

````